hk2
  1. hk2
  2. HK2-59

use JSR269 for annotation processing

    Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 2.1.*
    • Fix Version/s: 2.1.*
    • Component/s: None
    • Labels:
      None

      Description

      The following warning appears when building using JDK7.

      warning: The apt tool and its associated API are planned to be
      removed in the next major JDK release.  These features have been
      superseded by javac and the standardized annotation processing API,
      javax.annotation.processing and javax.lang.model.  Users are
      recommended to migrate to the annotation processing features of
      javac; see the javac man page for more information.
      

      This prevent developers from using -Werror compiler argument.

        Activity

        Hide
        Romain Grécourt added a comment -

        Issue was unassigned, please re-assign it accordingly.

        Show
        Romain Grécourt added a comment - Issue was unassigned, please re-assign it accordingly.
        Hide
        Romain Grécourt added a comment -

        Fixed in 2.1.56 and integrated in GlassFish as of #59182

        Show
        Romain Grécourt added a comment - Fixed in 2.1.56 and integrated in GlassFish as of #59182

          People

          • Assignee:
            Mahesh Kannan
            Reporter:
            Romain Grécourt
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: